/**
 * @license
 * Copyright Akveo. All Rights Reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 */
import React from 'react';
import { TouchableOpacityProps, GestureResponderEvent } from 'react-native';
import { StyledComponentProps } from '../../theme';
import { MenuItemType } from './menuItem.component';
import { DividerElement } from '../divider/divider.component';
interface ComponentProps {
    item: MenuItemType;
    selectedIndex: number;
    divider?: DividerElement;
    onSelect?: (index: number, event?: GestureResponderEvent) => void;
}
export declare type SubMenuProps = ComponentProps & StyledComponentProps & TouchableOpacityProps;
export declare type SubMenuElement = React.ReactElement<SubMenuProps>;
export declare const SubMenu: React.ComponentClass<StyledComponentProps & ComponentProps & TouchableOpacityProps, any>;
export {};
