/**
 * @license
 * Copyright Akveo. All Rights Reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 */
import React from 'react';
import { StyledComponentProps } from '../../theme';
import { MenuProps } from '../menu/menu.component';
import { MenuItemType } from '../menu/menuItem.component';
import { PopoverProps } from '../popover/popover.component';
import { ModalPresentingBased, Override } from '../support/typings';
declare type PopoverContentProps = Omit<PopoverProps, 'content'>;
export declare type OverflowMenuItemType = Omit<MenuItemType, 'subItems'>;
interface ComponentProps extends PopoverContentProps, ModalPresentingBased {
    children: React.ReactElement<any>;
}
declare type MenuBasedProps = Override<MenuProps, {
    data: OverflowMenuItemType[];
}>;
export declare type OverflowMenuProps = StyledComponentProps & ComponentProps & MenuBasedProps;
export declare type OverflowMenuElement = React.ReactElement<OverflowMenuProps>;
export declare const OverflowMenu: React.ComponentClass<OverflowMenuProps, any>;
export {};
