/**
 * @license
 * Copyright Akveo. All Rights Reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 */
import React from 'react';
import { GestureResponderEvent, ImageProps, ImageStyle, TextStyle, TouchableOpacityProps, StyleProp, ViewStyle, ListRenderItemInfo } from 'react-native';
import { StyledComponentProps } from '../../theme';
import { SelectOptionType } from './selectOption.component';
declare type IconElement = React.ReactElement<ImageProps>;
declare type IconProp = (style: ImageStyle, visible: boolean) => IconElement;
export declare type SelectOption = Array<SelectOptionType> | SelectOptionType;
interface ComponentProps {
    data: SelectOptionType[];
    multiSelect?: boolean;
    selectedOption?: SelectOption;
    textStyle?: StyleProp<TextStyle>;
    placeholder?: string;
    placeholderStyle?: StyleProp<TextStyle>;
    label?: string;
    labelStyle?: StyleProp<TextStyle>;
    controlStyle?: StyleProp<ViewStyle>;
    icon?: IconProp;
    onSelect: (option: SelectOption, event?: GestureResponderEvent) => void;
    status?: string;
    renderItem?: (item: ListRenderItemInfo<SelectOptionType>) => React.ReactElement<any>;
}
export declare type SelectProps = StyledComponentProps & TouchableOpacityProps & ComponentProps;
export declare type SelectElement = React.ReactElement<SelectProps>;
export declare const Select: React.ComponentClass<SelectProps, any>;
export {};
