/**
 * @license
 * Copyright Akveo. All Rights Reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 */
import React from 'react';
import { ListRenderItemInfo, GestureResponderEvent } from 'react-native';
import { ListProps } from '../list/list.component';
import { SelectOptionType } from './selectOption.component';
import { SelectionStrategy } from './selection.strategy';
export interface ComponentProps {
    data: SelectOptionType[];
    multiSelect?: boolean;
    strategy: SelectionStrategy;
    renderItem?: (item: ListRenderItemInfo<SelectOptionType>) => React.ReactElement<any>;
    onSelect: (option: SelectOptionType, event?: GestureResponderEvent) => void;
}
export declare type SelectOptionsListProps = Partial<ListProps> & ComponentProps;
export declare type SelectOptionsListElement = React.ReactElement<SelectOptionsListProps>;
export declare class SelectOptionsList extends React.Component<SelectOptionsListProps> {
    private areThereSubItems;
    private onSelect;
    private renderDefaultItem;
    private renderItem;
    render(): SelectOptionsListElement;
}
